/**!
   * mongodash v1.4.0
   * https://github.com/VaclavObornik/mongodash.git
   *
   * Copyright (c) 2022 Václav Oborník
   * Released under the MIT license
   */
  "use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.secureOnInfo = exports.defaultOnInfo = void 0;
const defaultOnInfo = (info) => {
    console.log(info.message);
};
exports.defaultOnInfo = defaultOnInfo;
function secureOnInfo(onInfo) {
    return (info) => {
        try {
            onInfo(info);
        }
        catch (onErrorFailure) {
            // intentionally suppress
        }
    };
}
exports.secureOnInfo = secureOnInfo;
//# sourceMappingURL=OnInfo.js.map