import { Collection } from 'mongodb';
import { OnError } from './OnError';
declare type StopContinuousLock = () => Promise<void>;
export declare function createContinuousLock<DocumentType extends {
    _id: string;
}>(collection: Collection<DocumentType>, documentId: string, lockProperty: keyof DocumentType, lockTime: number, onError: OnError): StopContinuousLock;
export {};
